/*
	File: CSTRLIST.CPP
	Description:
		A class to store a list of strings.
	Copyright 1995, David G. Roberts
*/

#ifndef _CSTRLIST_H
#define _CSTRLIST_H

#include "clist.h"

class CStringList : public CList {
private:
	virtual int Compare(void * pvThing1, void * pvThing2);
    virtual void DeleteData(void * pvThing);
public:
	// Constructor and destructor.
	CStringList() {};
	virtual ~CStringList();

	// Manipulation functions.
	void Add(char * pszString);
	void Insert(char * pszString);
	char * First(void) { return (char *) CList::First(); };
	char * Next(void) { return (char *) CList::Next(); };
};

#endif

